using System.Collections.Generic;
#if UNITY_EDITOR
using System;
using System.Reflection;
using System.Text.RegularExpressions;
using UnityEditor;
using UnityEditor.Callbacks;
using UnityEditorInternal;
#else
using System;
#endif

namespace NBC
{
    public class UnityLog : ILog
    {
        public void Trace(string msg)
        {
            FantasyNetTest.Log.Info(msg);
            // UnityEngine.Debug.Log(msg);
        }

        public void Debug(string msg)
        {
            FantasyNetTest.Log.Info(msg);
        }

        public void Info(string msg)
        {
            FantasyNetTest.Log.Info(msg);
        }

        public void Warning(string msg)
        {
            FantasyNetTest.Log.Warn(msg);
        }

        public void Error(string msg)
        {
            FantasyNetTest.Log.Error(msg);
        }

        public void Error(Exception e)
        {
            FantasyNetTest.Log.Error(e.ToString());
        }

        public void Trace(string message, params object[] args)
        {
            FantasyNetTest.Log.Info(message,args);
        }

        public void Warning(string message, params object[] args)
        {
            FantasyNetTest.Log.Warn(message,args);
        }

        public void Info(string message, params object[] args)
        {
            FantasyNetTest.Log.Info(message,args);
        }

        public void Debug(string message, params object[] args)
        {
            FantasyNetTest.Log.Info(message,args);
        }

        public void Error(string message, params object[] args)
        {
            FantasyNetTest.Log.Error(message,args);
        }
    }
}
